Bug 493530 - Review Request: perl-Data-Dumper-Names - Data::Dumper::Names module
Review Request: perl-Data-Dumper-Names - Data::Dumper::Names module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 493531
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 02:48 EDT by Marcela Mašláňová
Modified: 2014-04-05 15:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 09:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-02 02:48:51 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Data-Dumper-Names.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Data-Dumper-Names-0.03-1.fc11.src.rpm
Description: Module similar to Data::Dumper but variables are dumped with names and without source filter.
Comment 1 Parag AN(पराग) 2009-04-02 03:31:01 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1272284
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
87fb75627801e323f7bc4430c3c97334  Data-Dumper-Names-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=13,  0 wallclock secs ( 0.01 usr  0.05 sys +  0.15 cusr  0.03 csys =  0.24 CPU)
+ Package perl-Data-Dumper-Names-0.03-1.fc11.noarch =>
  Provides: perl(Data::Dumper::Names) = 0.03
  Requires: perl(Data::Dumper) perl(PadWalker) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)

Suggestions:
1) Please change %description. See what description mean http://fedoraproject.org/wiki/PackagingGuidelines#Summary_and_description
2) Summary should be  "Dump variables with names"
3) you don't need following
Requires:       perl(PadWalker) >= 0.13
Requires:       perl(Test::More)

APPROVED.
Comment 2 Ralf Corsepius 2009-04-02 08:35:06 EDT

(In reply to comment #1)
> 3) you don't need following
..
> Requires:       perl(Test::More)
This dependency is wrong - It must be removed.
Comment 4 Marcela Mašláňová 2009-04-07 03:32:05 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Dumper-Names
Short Description: Data::Dumper like module for printing and eval data structures
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-07 22:46:41 EDT
cvs done.
Comment 6 Paul Howarth 2014-03-21 09:53:37 EDT
Package Change Request
======================
Package Name: perl-Data-Dumper-Names
New Branches: el6
Owners: pghmcfc
InitialCC: perl-sig

Needed for Test::Most; I (pghmcfc) am already maintainer for EPEL-7.
Comment 7 Gwyn Ciesla 2014-03-21 10:40:53 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-03-21 11:24:39 EDT
perl-Test-Most-0.21-4.el6,perl-Data-Dumper-Names-0.03-17.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-Most-0.21-4.el6,perl-Data-Dumper-Names-0.03-17.el6
Comment 9 Fedora Update System 2014-04-05 15:36:28 EDT
perl-Test-Most-0.21-4.el6, perl-Data-Dumper-Names-0.03-17.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.